function draw()
	UiTranslate(UiCenter(), 250)
	UiAlign("center middle")

	-- Title
	UiFont("bold.ttf", 48)
	UiText("ARMAGEDDON options")

	-- Enable FOV effects?
	UiFont("bold.ttf", 35)
	UiTranslate(0, 75)
	UiText("Enable FOV effects?")

	-- Draw buttons
	UiTranslate(0, 50)
	UiFont("regular.ttf", 26)
	UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
	UiPush()
		UiTranslate(-110, 0)
		if not GetBool("savegame.mod.armageddon.noFovAdjustment") then
			UiPush()
				UiColor(0.5, 1, 0.5, 0.2)
				UiImageBox("ui/common/box-solid-6.png", 200, 40, 6, 6)
			UiPop()
		end
		if UiTextButton("Yes", 200, 40) then
			SetBool("savegame.mod.armageddon.noFovAdjustment", false)
		end
		UiTranslate(220, 0)
		if GetBool("savegame.mod.armageddon.noFovAdjustment") then
			UiPush()
				UiColor(0.5, 1, 0.5, 0.2)
				UiImageBox("ui/common/box-solid-6.png", 200, 40, 6, 6)
			UiPop()
		end
		if UiTextButton("No", 200, 40) then
			SetBool("savegame.mod.armageddon.noFovAdjustment", true)
		end
	UiPop()

	-- Enable infinite ammo?
	UiFont("bold.ttf", 35)
	UiTranslate(0, 75)
	UiText("Enable infinite ammo?")

	-- Draw buttons
	UiTranslate(0, 50)
	UiFont("regular.ttf", 26)
	UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
	UiPush()
		UiTranslate(-110, 0)
		if GetBool("savegame.mod.armageddon.infiniteAmmo") then
			UiPush()
				UiColor(0.5, 1, 0.5, 0.2)
				UiImageBox("ui/common/box-solid-6.png", 200, 40, 6, 6)
			UiPop()
		end
		if UiTextButton("Yes", 200, 40) then
			SetBool("savegame.mod.armageddon.infiniteAmmo", true)
		end
		UiTranslate(220, 0)
		if not GetBool("savegame.mod.armageddon.infiniteAmmo") then
			UiPush()
				UiColor(0.5, 1, 0.5, 0.2)
				UiImageBox("ui/common/box-solid-6.png", 200, 40, 6, 6)
			UiPop()
		end
		if UiTextButton("No", 200, 40) then
			SetBool("savegame.mod.armageddon.infiniteAmmo", false)
		end
	UiPop()
	
	UiTranslate(0, 100)
	if UiTextButton("Close", 200, 40) then
		Menu()
	end
end

